<div class='container d-flex flex-jc-center'>
  <div class='inner-container'>
    <div class='d-flex flex-ai-center m-bottom-4'>
      <h1 style='margin-bottom: 0'>Ćao, Aleksa</h1>
      <a mat-button mat-raised-button color='primary' class='m-left-auto' href='#'>Izmeni profil</a>
      <a mat-button mat-raised-button color='accent' class='m-left-2' (click)='logout()'>Odjavi se</a>
    </div>
    <div class='d-flex flex-ai-center m-bottom-4'>
      <a mat-button mat-raised-button color='primary' class='m-left-auto' href='recipe-edit'>Dodaj novi recept</a>
    </div>
    <mat-divider></mat-divider>
    <h2>Tvoji recepti</h2>
    <div class='row'>
      <div *ngIf="recipes.length > 0">
        <h2>Moji recepti</h2>
        <ul>
          <li *ngFor="let recipe of recipes">
            <h3>{{ recipe.name }}</h3>
            <p>Author: {{ recipe.author.username }}</p>
            <p>{{ recipe.description }}</p>
          </li>
        </ul>
      </div>
      <div *ngIf="recipes.length === 0">
        <p>Nemate napisanih recepata.</p>
      </div>
    </div>
    <mat-divider></mat-divider>
    
  </div>
</div>
